Save 30% on string libraries — Ends soon

SSO Chamber Strings Edition Professional

SSO Chamber Strings Edition Professional features Symphonic Brass, Symphonic Woodwinds and Chamber Strings with all the additional microphone and mix signals.

  • Overview
  • Listen
  • Walkthrough
  • What's included
  • Tech specs
  • Your symphony with a difference

    The latest professional editions of our award-winning Spitfire Symphonic suites, with a difference: chamber-sized string ensemble recordings. For a more intimate and detailed sound, this Spitfire Symphony Orchestra Chamber Strings Edition Professional is ideal for that score needing to go big, but offering intimacy and detail in the strings that might be unattainable with its larger symphonic sibling. Recorded in the same location—the world-famous Lyndhurst Hall at London's AIR Studios—SSO Chamber Strings Edition Professional features 16 star players: four 1st Violins, three 2nd Violins, three Violas, three Cellos & three Basses, with an encyclopaedic selection of playing styles and articulations. Now available with all of the additional microphone and mix signals in the Professional range.

    Compatible with NKS

    What's included

    Tech specs

    Mac system requirements

    Mac OS X 10.10 to OS X 12

    Minimum: 2.8GHz i5 minimum (quad-core), 8GB RAM

    Recommended: 2.8GHz I7 (six-core), 16GB RAM

    Machine must be connected to the internet during install

    32-bit DAWs not supported


    PC system requirements

    Windows 7, Windows 8, or Windows 10 (latest Service Pack, 64-bit)

    Minimum: Intel 2.8 GHz i5 (quad-core) or AMD Ryzen 5

    Recommended: Intel 2.8 GHz i7 (six-core) or AMD R7 2700

    Machine must be connected to the internet during install

    32-bit DAWs not supported


    File size

    ~635780 samples

    312.0 GB uncompressed .WAV

    714.2 GB download size

    1428.38 GB disk space required during install

    Too large to download? Choose hard drive delivery at checkout.


    Kontakt player

    Kontakt Player 5.6.8 or higher required